name:

(import ../outer-defaults.nix name) // {
  config = { config, pkgs, lib, ... }: {
    imports = [ ../inner-defaults.nix ../../../../lib/yggdrasil-hq.nix ];

    services.uhub = {
      enable = true;
      enableTLS = false;
      hubConfig = ''
        hub_name=c3d2
        hub_description=<<</>>
      '';
      plugins.history.enable = true;
      plugins.welcome = {
        enable = true;
        motd = config.users.motd;
      };
    };

    networking.firewall.allowedTCPPorts = [ config.services.uhub.port ];
    hq.yggdrasil.enable = true;
  };

}
